com.impinj.stp

## Class StpApi.OrderedListEntries.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.OrderedListEntries.Builder>
      - - com.impinj.stp.StpApi.OrderedListEntries.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.OrderedListEntriesOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.OrderedListEntries

      public static final class StpApi.OrderedListEntries.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.OrderedListEntries.Builder>
      implements StpApi.OrderedListEntriesOrBuilder

  Protobuf type `Impinj.STP.OrderedListEntries`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.OrderedListEntries.Builder` | `addAllOrderedListEntries(java.lang.Iterable<? extends StpApi.OrderedListEntry> values)`
    `StpApi.OrderedListEntries.Builder` | `addOrderedListEntries(int index, StpApi.OrderedListEntry.Builder builderForValue)`
    `StpApi.OrderedListEntries.Builder` | `addOrderedListEntries(int index, StpApi.OrderedListEntry value)`
    `StpApi.OrderedListEntries.Builder` | `addOrderedListEntries(StpApi.OrderedListEntry.Builder builderForValue)`
    `StpApi.OrderedListEntries.Builder` | `addOrderedListEntries(StpApi.OrderedListEntry value)`
    `StpApi.OrderedListEntry.Builder` | `addOrderedListEntriesBuilder()`
    `StpApi.OrderedListEntry.Builder` | `addOrderedListEntriesBuilder(int index)`
    `StpApi.OrderedListEntries` | `build()`
    `StpApi.OrderedListEntries` | `buildPartial()`
    `StpApi.OrderedListEntries.Builder` | `clear()`
    `StpApi.OrderedListEntries.Builder` | `clearOrderedListEntries()`
    `StpApi.OrderedListEntries.Builder` | `clone()`
    `StpApi.OrderedListEntries` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.OrderedListEntry` | `getOrderedListEntries(int index)`
    `StpApi.OrderedListEntry.Builder` | `getOrderedListEntriesBuilder(int index)`
    `java.util.List<StpApi.OrderedListEntry.Builder>` | `getOrderedListEntriesBuilderList()`
    `int` | `getOrderedListEntriesCount()`
    `java.util.List<StpApi.OrderedListEntry>` | `getOrderedListEntriesList()`
    `StpApi.OrderedListEntryOrBuilder` | `getOrderedListEntriesOrBuilder(int index)`
    `java.util.List<? extends StpApi.OrderedListEntryOrBuilder>` | `getOrderedListEntriesOrBuilderList()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.OrderedListEntries.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.OrderedListEntries.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.OrderedListEntries.Builder` | `mergeFrom(StpApi.OrderedListEntries other)`
    `StpApi.OrderedListEntries.Builder` | `removeOrderedListEntries(int index)`
    `StpApi.OrderedListEntries.Builder` | `setOrderedListEntries(int index, StpApi.OrderedListEntry.Builder builderForValue)`
    `StpApi.OrderedListEntries.Builder` | `setOrderedListEntries(int index, StpApi.OrderedListEntry value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OrderedListEntries.Builder>`

    - #### clear

          public StpApi.OrderedListEntries.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OrderedListEntries.Builder>`

    - #### clone

          public StpApi.OrderedListEntries.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OrderedListEntries.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OrderedListEntries.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.OrderedListEntries getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.OrderedListEntries build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.OrderedListEntries buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.OrderedListEntries.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OrderedListEntries.Builder>`

    - #### mergeFrom

          public StpApi.OrderedListEntries.Builder mergeFrom(StpApi.OrderedListEntries other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OrderedListEntries.Builder>`

    - #### mergeFrom

          public StpApi.OrderedListEntries.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OrderedListEntries.Builder>`
      Throws:
        `java.io.IOException`

    - #### getOrderedListEntriesList

          public java.util.List<StpApi.OrderedListEntry> getOrderedListEntriesList()

      Specified by:
        `getOrderedListEntriesList` in interface `StpApi.OrderedListEntriesOrBuilder`

    - #### getOrderedListEntriesCount

          public int getOrderedListEntriesCount()

      Specified by:
        `getOrderedListEntriesCount` in interface `StpApi.OrderedListEntriesOrBuilder`

    - #### getOrderedListEntries

          public StpApi.OrderedListEntry getOrderedListEntries(int index)

      Specified by:
        `getOrderedListEntries` in interface `StpApi.OrderedListEntriesOrBuilder`

    - #### setOrderedListEntries

          public StpApi.OrderedListEntries.Builder setOrderedListEntries(int index,
                                                                         StpApi.OrderedListEntry value)

    - #### setOrderedListEntries

          public StpApi.OrderedListEntries.Builder setOrderedListEntries(int index,
                                                                         StpApi.OrderedListEntry.Builder builderForValue)

    - #### addOrderedListEntries

          public StpApi.OrderedListEntries.Builder addOrderedListEntries(StpApi.OrderedListEntry value)

    - #### addOrderedListEntries

          public StpApi.OrderedListEntries.Builder addOrderedListEntries(int index,
                                                                         StpApi.OrderedListEntry value)

    - #### addOrderedListEntries

          public StpApi.OrderedListEntries.Builder addOrderedListEntries(StpApi.OrderedListEntry.Builder builderForValue)

    - #### addOrderedListEntries

          public StpApi.OrderedListEntries.Builder addOrderedListEntries(int index,
                                                                         StpApi.OrderedListEntry.Builder builderForValue)

    - #### addAllOrderedListEntries

          public StpApi.OrderedListEntries.Builder addAllOrderedListEntries(java.lang.Iterable<? extends StpApi.OrderedListEntry> values)

    - #### clearOrderedListEntries

          public StpApi.OrderedListEntries.Builder clearOrderedListEntries()

    - #### removeOrderedListEntries

          public StpApi.OrderedListEntries.Builder removeOrderedListEntries(int index)

    - #### getOrderedListEntriesBuilder

          public StpApi.OrderedListEntry.Builder getOrderedListEntriesBuilder(int index)

    - #### getOrderedListEntriesOrBuilder

          public StpApi.OrderedListEntryOrBuilder getOrderedListEntriesOrBuilder(int index)

      Specified by:
        `getOrderedListEntriesOrBuilder` in interface `StpApi.OrderedListEntriesOrBuilder`

    - #### getOrderedListEntriesOrBuilderList

          public java.util.List<? extends StpApi.OrderedListEntryOrBuilder> getOrderedListEntriesOrBuilderList()

      Specified by:
        `getOrderedListEntriesOrBuilderList` in interface `StpApi.OrderedListEntriesOrBuilder`

    - #### addOrderedListEntriesBuilder

          public StpApi.OrderedListEntry.Builder addOrderedListEntriesBuilder()

    - #### addOrderedListEntriesBuilder

          public StpApi.OrderedListEntry.Builder addOrderedListEntriesBuilder(int index)

    - #### getOrderedListEntriesBuilderList

          public java.util.List<StpApi.OrderedListEntry.Builder> getOrderedListEntriesBuilderList()